import request from '@/utils/request'
let devCode = getDevCode()



function getDevCode() {
  return localStorage.getItem('devStorage')?JSON.parse(localStorage.getItem('devStorage')).devCode:""

}


// 查询设备列表
export function getAll() {
  return request({
    url: '/pms/device/all',
    method: 'get',
  })
}

// 查询设备列表
export function getdeviceInfo() {
  let deviceCode = getDevCode()
  devCode = deviceCode
  return request({
    url: '/pms/statement/getdeviceInfo/'+devCode,
    method: 'get',
    // params: Object.assign({}, checkQuery, query)
  })
}



// 查询设备维修单列表
// 设备保养提醒
export function deviceCheck(devCode) {
  return request({
      url: '/mf/deviceCheck',
      method: 'get',
      params: { devCode:devCode }
  })
}

//设备报警记录
export function deviceRepair(devCode) {
  return request({
      url: '/mf/deviceRepair',
      method: 'get',
      params: { devCode }
  })
}

//查询单设产量统计
export function productionChartByDevice(obj) {
  return request({
      url: '/mf/productionChartByDevice',
      method: 'get',
      params: obj
  })
}


//查询单设备状态统计
export function deviceStatusChartByDevice(obj) {
  return request({
      url: '/mf/deviceStatusChartByDevice',
      method: 'get',
      params: obj
  })
}